import { IServerSideDatasource, IServerSideGetRowsParams } from '@ag-grid-community/core';
import { SocketObservable, FilteredDataServerResult, SocketSubscription } from '@genesislcap/foundation-comms';
import { ServerSideDatasourceOptions } from './base.types';
import { BaseServerSideDatasource } from './server-side.resource-base';
/**
 * The DATASERVER IServerSideDatasource implementation, used for SSRM (Server-Side Row Model) in the grid.
 * @alpha
 */
export declare class DataserverServerSideDatasource extends BaseServerSideDatasource implements IServerSideDatasource {
    dataserverStream: SocketObservable<FilteredDataServerResult>;
    dataserverStreamSubscription: SocketSubscription;
    createDataserverStreamFunc: (existingParams?: any) => Promise<SocketObservable<FilteredDataServerResult>>;
    constructor(options: ServerSideDatasourceOptions);
    protected refreshDatasource(params: IServerSideGetRowsParams): Promise<void>;
    getRows(params: IServerSideGetRowsParams): Promise<void>;
    private applyServerSideData;
    destroy(): Promise<void>;
    private handleCurrentStreamLoad;
}
//# sourceMappingURL=server-side.resource-dataserver.d.ts.map