<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/grid-pro](./grid-pro.md)

## grid-pro package

## Classes

|  Class | Description |
|  --- | --- |
|  [ActionRenderer](./grid-pro.actionrenderer.md) | The AG Action Renderer element. |
|  [ActionsMenuRenderer](./grid-pro.actionsmenurenderer.md) | The Actions Menu Renderer element. |
|  [AgTextFieldRenderer](./grid-pro.agtextfieldrenderer.md) | The AG Text Field Renderer element. |
|  [AgTextRenderer](./grid-pro.agtextrenderer.md) |  |
|  [BooleanRenderer](./grid-pro.booleanrenderer.md) | The AG Boolean Renderer element. |
|  [DateEditor](./grid-pro.dateeditor.md) | The AG Date Editor element. |
|  [EditableRenderer](./grid-pro.editablerenderer.md) | The AG Editable Renderer element. |
|  [GridPro](./grid-pro.gridpro.md) | The Grid Pro element. |
|  [GridProCell](./grid-pro.gridprocell.md) | The Grid Pro Cell element. |
|  [GridProClientSideDatasource](./grid-pro.gridproclientsidedatasource.md) | The Genesis Datasource element, for client-side \| CSRM-compatible data fetching and used exclusively by the GridPro element. |
|  [GridProColumn](./grid-pro.gridprocolumn.md) | The Grid Pro Column element. |
|  [GridProGenesisDatasource](./grid-pro.gridprogenesisdatasource.md) | The Genesis Datasource element, for CSRM-compatible data fetching and used exclusively by the GridPro element. |
|  [KVStorageStatePersistence](./grid-pro.kvstoragestatepersistence.md) | Implementation for the KV Storage State Persistence interface. |
|  [LocalStorageStatePersistence](./grid-pro.localstoragestatepersistence.md) | Implementation for the Local Storage State Persistence interface. |
|  [MultiselectEditor](./grid-pro.multiselecteditor.md) | The AG Multiselect Editor element. |
|  [NumberEditor](./grid-pro.numbereditor.md) | The AG Number Editor element. |
|  [SelectEditor](./grid-pro.selecteditor.md) | The AG Select Editor element. |
|  [SelectRenderer](./grid-pro.selectrenderer.md) | The AG Select Renderer element. |
|  [StringEditor](./grid-pro.stringeditor.md) | The AG String Editor element. |

## Enumerations

|  Enumeration | Description |
|  --- | --- |
|  [AgGridCSSVars](./grid-pro.aggridcssvars.md) | All official AG CSS variables |
|  [AgGridTheme](./grid-pro.aggridtheme.md) | The available Grid Pro themes. |
|  [GridProCaseType](./grid-pro.gridprocasetype.md) | The available Grid Pro header case types |
|  [GridProRendererTypes](./grid-pro.gridprorenderertypes.md) | The available Grid Pro Renderer Types |

## Functions

|  Function | Description |
|  --- | --- |
|  [dateTimeValueFormatter({ value })](./grid-pro.datetimevalueformatter.md) | Returns a formatted date time value from the Grid Pro cell value. |
|  [dateValueFormatter({ value })](./grid-pro.datevalueformatter.md) | Returns a formatted date value from the Grid Pro cell value. |
|  [getAvailableIndexes(data)](./grid-pro.getavailableindexes.md) | Get the keys of the Metadata indexes map |
|  [getAvailableIndexFields(data)](./grid-pro.getavailableindexfields.md) | Get the values of the Metadata indexes map |
|  [gridProColumns(itemsBinding, includeRenderers)](./grid-pro.gridprocolumns.md) | A directive that renders a set of grid-pro-column elements from a given input binding |
|  [mergeAndDedupColDefWithColumnState(colDefs, columnStates)](./grid-pro.mergeanddedupcoldefwithcolumnstate.md) | Merges two arrays, one of <code>ColDef</code> and one of <code>ColumnState</code>, and deduplicates them. |

## Interfaces

|  Interface | Description |
|  --- | --- |
|  [DateEditorParams](./grid-pro.dateeditorparams.md) | Parameters used to configure [SelectEditor](./grid-pro.selecteditor.md) |
|  [GridOptionsConfig](./grid-pro.gridoptionsconfig.md) | Grid options config used to configure grids across the application |
|  [GridProErrorItem](./grid-pro.gridproerroritem.md) | Grid Pro Error Item |
|  [MultiselectEditorParams](./grid-pro.multiselecteditorparams.md) | Parameters used to configure [MultiselectEditor](./grid-pro.multiselecteditor.md) |
|  [NumberEditorParams](./grid-pro.numbereditorparams.md) | Parameters used to configure [NumberEditor](./grid-pro.numbereditor.md) |
|  [SelectEditorParams](./grid-pro.selecteditorparams.md) | Parameters used to configure [SelectEditor](./grid-pro.selecteditor.md) |
|  [StatePersistence](./grid-pro.statepersistence.md) | Represents a state persistence and its capabilities. Provides methods to set and get columns from the storage. |
|  [StringEditorParams](./grid-pro.stringeditorparams.md) | Parameters used to configure [StringEditor](./grid-pro.stringeditor.md) |

## Variables

|  Variable | Description |
|  --- | --- |
|  [actionHeightMultiplier](./grid-pro.actionheightmultiplier.md) | The base height multiplier for the action renderer. |
|  [agActionRendererStyles](./grid-pro.agactionrendererstyles.md) | The AG Action Renderer Styles. |
|  [agBooleanRendererStyles](./grid-pro.agbooleanrendererstyles.md) | The AG Boolean Renderer Styles. |
|  [agDateEditorStyles](./grid-pro.agdateeditorstyles.md) | The AG Select Renderer Styles. |
|  [agEditableRendererStyles](./grid-pro.ageditablerendererstyles.md) | The AG Editable Renderer Styles. |
|  [agExternalStockStyles](./grid-pro.agexternalstockstyles.md) | All External AG Grid Stock in one CSS. |
|  [agGridAlpineFontFace](./grid-pro.aggridalpinefontface.md) | The AG Alpine font face used on ag-theme-alpine/ag-theme-alpine-dark Grid Pro themes. |
|  [agGridBalhamFontFace](./grid-pro.aggridbalhamfontface.md) | The AG Balham font face used on ag-theme-balham/ag-theme-balham-dark Grid Pro themes. |
|  [agGridCSS](./grid-pro.aggridcss.md) | AG Grid core CSS. |
|  [agGridMaterialFontFace](./grid-pro.aggridmaterialfontface.md) | The AG Material font face used on ag-theme-material Grid Pro theme. |
|  [agHeadCSS](./grid-pro.agheadcss.md) | Custom Drag n Drop CSS for Grid Pro. |
|  [agMultiselectEditorStyles](./grid-pro.agmultiselecteditorstyles.md) | The AG Select Renderer Styles. |
|  [agNumberEditorStyles](./grid-pro.agnumbereditorstyles.md) | The AG Number Editor Styles. |
|  [agSelectEditorStyles](./grid-pro.agselecteditorstyles.md) | The AG Select Renderer Styles. |
|  [agSelectRendererStyles](./grid-pro.agselectrendererstyles.md) | The AG Select Renderer Styles. |
|  [agStringEditorStyles](./grid-pro.agstringeditorstyles.md) | The AG String Renderer Styles. |
|  [agThemeAlpineNofontsCSS](./grid-pro.agthemealpinenofontscss.md) | AG Alpine Theme (no fonts) CSS. |
|  [agThemeBalhamNofontsCSS](./grid-pro.agthemebalhamnofontscss.md) | AG Balham Theme (no fonts) CSS. |
|  [agThemeFontFaceMap](./grid-pro.agthemefontfacemap.md) | Font Face map with all the font faces for each theme. |
|  [agThemeFontsId](./grid-pro.agthemefontsid.md) | Generates the id name for custom Grid Pro fonts. |
|  [agThemeMaterialNofontsCSS](./grid-pro.agthemematerialnofontscss.md) | AG Material Theme (no fonts) CSS. |
|  [agThemeTokenMapClassname](./grid-pro.agthemetokenmapclassname.md) | Generates the class name for a given Grid Pro theme name. |
|  [agThemeTokenMapCSS](./grid-pro.agthemetokenmapcss.md) | Generates the CSS for a given GridPro theme name and token map |
|  [CellTemplate](./grid-pro.celltemplate.md) | The Grid Pro Cell Template. |
|  [ColumnTemplate](./grid-pro.columntemplate.md) | The Grid Pro Column Template. |
|  [convertToKebabCase](./grid-pro.converttokebabcase.md) | Convert string values from 'camelCase' to 'kebab-case' |
|  [csvExportParams](./grid-pro.csvexportparams.md) | Allows secure export of CSV https://owasp.org/www-community/attacks/CSV\_Injection |
|  [defaultAgGridFontFace](./grid-pro.defaultaggridfontface.md) | The default font face for Grid Pro (agGridAlpine). |
|  [defaultGridOptionsConfig](./grid-pro.defaultgridoptionsconfig.md) | Default grid options |
|  [defaultGridProConfig](./grid-pro.defaultgridproconfig.md) | Grid Pro default configuration. |
|  [EDITED\_COLUMN\_FIELD](./grid-pro.edited_column_field.md) | Key used to store currently edited column when it being synced with server side data |
|  [ERROR\_COLUMN\_FIELD](./grid-pro.error_column_field.md) | Key used to store error details (column, message) when inline edit fails sync with server side data |
|  [foundationAgBooleanRenderer](./grid-pro.foundationagbooleanrenderer.md) | A function that returns a Foundation Boolean Renderer registration for configuring the component with a DesignSystem. |
|  [foundationAgEditableRenderer](./grid-pro.foundationageditablerenderer.md) | A function that returns a Foundation Editable Renderer registration for configuring the component with a DesignSystem. |
|  [foundationAgSelectRenderer](./grid-pro.foundationagselectrenderer.md) | A function that returns a Foundation Select Renderer registration for configuring the component with a DesignSystem. |
|  [foundationAgTextFieldRenderer](./grid-pro.foundationagtextfieldrenderer.md) | A function that returns a Foundation Text Field Renderer registration for configuring the component with a DesignSystem. |
|  [foundationAgTextRenderer](./grid-pro.foundationagtextrenderer.md) | A function that returns a Foundation Text Renderer registration for configuring the component with a DesignSystem. |
|  [foundationDateEditor](./grid-pro.foundationdateeditor.md) |  |
|  [foundationGridComponents](./grid-pro.foundationgridcomponents.md) | The Grid Pro Components. |
|  [foundationGridPro](./grid-pro.foundationgridpro.md) | A function that returns a Foundation Grid Pro registration for configuring the component with a DesignSystem. |
|  [foundationGridProActionRenderer](./grid-pro.foundationgridproactionrenderer.md) | A function that returns a Foundation Action Renderer for configuring the component with a DesignSystem. |
|  [foundationGridProActionsMenuRenderer](./grid-pro.foundationgridproactionsmenurenderer.md) | A function that returns a Foundation Actions Menu for configuring the component with a DesignSystem. |
|  [foundationGridProShadowOptions](./grid-pro.foundationgridproshadowoptions.md) | GridPro shadow root options. |
|  [foundationGridProStyles](./grid-pro.foundationgridprostyles.md) | The Grid Pro styles. |
|  [foundationMultiselectEditor](./grid-pro.foundationmultiselecteditor.md) |  |
|  [foundationNumberEditor](./grid-pro.foundationnumbereditor.md) |  |
|  [foundationSelectEditor](./grid-pro.foundationselecteditor.md) |  |
|  [foundationStringEditor](./grid-pro.foundationstringeditor.md) |  |
|  [getActionsMenuDef](./grid-pro.getactionsmenudef.md) | Helper function to get ColDef [https://www.ag-grid.com/javascript-data-grid/column-properties/](https://www.ag-grid.com/javascript-data-grid/column-properties/) for Actions Menu Renderer. Will take the parameter values for a base ColDef and merge them with the overrideDef (if specified). |
|  [getAgBooleanRendererTemplate](./grid-pro.getagbooleanrenderertemplate.md) | Get a Design System prefixed Checkbox template. |
|  [getAgEditableRendererTemplate](./grid-pro.getageditablerenderertemplate.md) | Get a Design System prefixed Checkbox template. |
|  [getDateEditorTemplate](./grid-pro.getdateeditortemplate.md) | Get a Design System prefixed Select template. |
|  [getGridProTemplate](./grid-pro.getgridprotemplate.md) | Get a Design System prefixed The Grid Pro template. |
|  [getMultiselectEditorTemplate](./grid-pro.getmultiselecteditortemplate.md) | Get a Design System prefixed Select template. |
|  [getNumberEditorTemplate](./grid-pro.getnumbereditortemplate.md) | Get a Design System prefixed Select template. |
|  [getSelectEditorTemplate](./grid-pro.getselecteditortemplate.md) | Get a Design System prefixed Select template. |
|  [getSelectRendererTemplate](./grid-pro.getselectrenderertemplate.md) | Get a Design System prefixed Select template. |
|  [getStringEditorTemplate](./grid-pro.getstringeditortemplate.md) | Get a Design System prefixed String template. |
|  [getTextFieldRendererTemplate](./grid-pro.gettextfieldrenderertemplate.md) | Get a Design System prefixed Text Field template. |
|  [getTextRendererTemplate](./grid-pro.gettextrenderertemplate.md) |  |
|  [GRID\_READY\_EVENT](./grid-pro.grid_ready_event.md) | Event fired when grid is ready |
|  [gridProErrorNames](./grid-pro.gridproerrornames.md) | The error names for the Grid Pro component. |
|  [gridProEventNames](./grid-pro.gridproeventnames.md) | The event names for the Grid Pro component. |
|  [gridProGenesisDatasourceEventNames](./grid-pro.gridprogenesisdatasourceeventnames.md) | The Genesis Datasource events names. |
|  [gridProTemplate](./grid-pro.gridprotemplate.md) |  |
|  [logger](./grid-pro.logger.md) | Logger for the grid-pro package |
|  [textFieldRendererStyles](./grid-pro.textfieldrendererstyles.md) | The AG Text Field Renderer Styles. |
|  [textRendererStyles](./grid-pro.textrendererstyles.md) |  |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [ActionRendererParams](./grid-pro.actionrendererparams.md) | Parameters for the [GridPro](./grid-pro.gridpro.md) action renderer. |
|  [AgThemeFontFaceMap](./grid-pro.agthemefontfacemap.md) | Type for mapping of a [AgGridTheme](./grid-pro.aggridtheme.md) to a font face. |
|  [BooleanRendererParams](./grid-pro.booleanrendererparams.md) | Parameters for the [GridPro](./grid-pro.gridpro.md) boolean renderer. |
|  [DatasourceType](./grid-pro.datasourcetype.md) | Available datasource types |
|  [GridComponents](./grid-pro.gridcomponents.md) | Grid Pro Components type, used to define the custom components that will be registered in the grid |
|  [GridProErrorEvent](./grid-pro.gridproerrorevent.md) | Grid Pro possible error events |
|  [GridProErrorTypes](./grid-pro.gridproerrortypes.md) | Grid Pro Error Types |
|  [GridProEventsAndCallbacks](./grid-pro.gridproeventsandcallbacks.md) | Grid Pro Events and Callbacks |
|  [GridProGenesisDatasourceErrorEvent](./grid-pro.gridprogenesisdatasourceerrorevent.md) | The error event grid pro genesis datasource. |
|  [GridProGenesisDatasourceErrorEventDetail](./grid-pro.gridprogenesisdatasourceerroreventdetail.md) | The event detail for the grid pro genesis datasource <code>error</code> event. |
|  [GrigProGenesisDatasourceSizeChangedEvent](./grid-pro.grigprogenesisdatasourcesizechangedevent.md) | The change size event grid pro genesis datasource. |
|  [GrigProGenesisDatasourceSizeChangedEventDetail](./grid-pro.grigprogenesisdatasourcesizechangedeventdetail.md) | The event detail for the grid pro genesis datasource <code>sizeChanged</code> event. |

